Summary:	A MySQL server management, configuration and monitoring tool
Name:		mysql-administrator
Version:	1.1.10
Release:	%mkrel 3
Group:		Databases
License:	GPL
URL:		http://www.mysql.com/products/tools/administrator/
Source0:	http://ftp.sunet.se/pub/unix/databases/relational/mysql/Downloads/MySQLAdministrationSuite/%{name}-%{version}.tar.bz2
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	gtkmm2.4-devel 
BuildRequires:	MySQL-devel >= 5.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MySQL Administrator is a powerful visual administration console that 
enables you to easily administer your MySQL environment and gain 
significantly better visibility into how your databases are operating. 
MySQL Administrator now integrates database management and maintenance 
into a single, seamless environment, with a clear and intuitive graphical 
user interface.

It's part of the MySQL Administration Suite.

%prep

%setup -q

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

export PKG_CONFIG="%{_bindir}/pkg-config"

cd mysql-gui-common
%configure2_5x \
    --with-commondirname=administrator
%make

cd ../%{name}
%configure2_5x \
    --with-commondirname=administrator
%make

%install
rm -rf %{buildroot}
cd mysql-gui-common
%makeinstall_std

cd ../%{name}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/mysql-gui/doc/administrator/
cp -a doc/* %{buildroot}%{_datadir}/mysql-gui/doc/administrator/

# fix some menu entries and stuff...
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_menudir}

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
section="More Applications/Databases" \
icon="%{name}.png" \
needs="x11" \
kde_filename="MySQLAdministrator" \
title="MySQL Administrator" \
longtitle="%{summary}" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Database" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

ln -s %{_datadir}/mysql-gui/MySQLIcon_Admin_32x32.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_Admin_16x16.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_datadir}/mysql-gui/MySQLIcon_Admin_48x48.png %{buildroot}/%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus
 
%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc mysql-administrator/ChangeLog mysql-administrator/COPYING 
%doc mysql-administrator/res/FAQ
%attr(0755,root,root) %{_bindir}/mysql-administrator
%attr(0755,root,root) %{_bindir}/mysql-administrator-bin
%attr(0755,root,root) %{_bindir}/mabackup
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-gui/*.png
%dir %{_datadir}/mysql-gui/administrator
%{_datadir}/mysql-gui/administrator/*
%dir %{_datadir}/mysql-gui/doc/administrator
%{_datadir}/mysql-gui/doc/administrator/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(pt_BR) %{_datadir}//locale/pt_BR/LC_MESSAGES/*

%changelog
* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.10-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Mon Sep 04 2006 Buchan Milne <bgmilne@mandriva.org> 1.1.10-2mdv2007.0
- xdg menus

* Wed May 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.10-1mdk
- 1.1.10

* Tue Mar 21 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdk
- 1.1.6

* Wed Dec 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.4-2mdk
- Fix BuildRequires

* Wed Nov 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-2mdk
- rebuilt against MySQL-5.0.15

* Thu Oct 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdk
- 1.1.2

* Sat Jun 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.22a-1mdk
- 1.0.22a

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.21-1mdk
- 1.0.21

* Wed Apr 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.20-1mdk
- 1.0.20
- use the %%mkrel and %%configure2_5x macros
- strip away annoying ^M
- fix the menu entry, the hard way

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.19-1mdk
- rebuild
- last version was really 1.0.19, not 1.0.17

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.19-1mdk
- 1.0.17
- rebuilt against MySQL-4.1.x system libs

* Tue Dec 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.16-1mdk
- First Mandrake package (based on spec distributed in the source)

* Sat Apr  3 2004 Alfredo Kojima <alfredo@mysql.com> 1.0.3_alpha-1
- initial RPM packaging
